# All lasers (Xtion and fake) either needs to publish a height, or set min_obstacle_height to 0.0:
# http://wiki.ros.org/navigation/Troubleshooting#Missing_Obstacles_in_Costmap2D
# Note that the max_obstacle_height is very important!
max_obstacle_height: 0.6 # assume something like an arm is mounted on top of the robot

# Obstacle Cost Shaping (http://wiki.ros.org/costmap_2d/hydro/inflation)
robot_radius: 0.25 # distance a circular robot should be clear of the obstacle (kobuki: 0.18)
# footprint: [[x0, y0], [x1, y1], ... [xn, yn]]  # if the robot is not circular

obstacle_layer:
  enabled: true
  max_obstacle_height: 0.5
  origin_z: 0
  z_resolution: 0.1
  z_voxels: 7
  unknown_threshold: 4
  mark_threshold: 0
  combination_method: 1
  track_unknown_space: true #true needed for disabling global path planning through unknown space
  obstacle_range: 3
  raytrace_range: 3
  publish_voxel_map: true
  observation_sources: scan cloud # Not using IR, though the data is there.
  cloud:
    data_type: PointCloud2
    topic: /d35i/depth/color/points
    clean: true
    marking: true
    raytrace_range: 3
    obstacle_range: 3
    min_obstacle_height: 0.15
    max_obstacle_height: 0.4
  scan:
    data_type: LaserScan
    topic: scan_filtered
    marking: true
    raytrace_range: 3
    obstacle_range: 3
    inf_is_valid: true
    clearing: true
    min_obstacle_height: 0.15
    max_obstacle_height: 2

#cost_scaling_factor and inflation_radius were now moved to the inflation_layer ns
# See http://www.zkytony.com/documents/navguide.pdf for ideas
inflation_layer:
  enabled: true
  cost_scaling_factor: 3.5 # exponential rate at which the obstacle cost drops off (default: 10)
  inflation_radius: 1 # max. distance from an obstacle at which costs are incurred for planning paths.

static_layer:
  enabled: true
